## ciderwebmail 1.04~20120610

=== debian/changelog ===
ciderwebmail (1.04~20120610-2) unstable; urgency=low

  * Initial packaging release for unstable.
  * Fix adjust symlink to mootools.
  * Fix syntac of PSGI (Catalyst documentation is wrong).
  * Add README.Debian documenting ways to deploy.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Jun 2012 22:29:53 +0200

ciderwebmail (1.04~20120610-1) experimental; urgency=low

  * New snapshot of upstream VCS.
    + Move common code to CiderWebmail::Test and fix Test::XPath
      dependency.
    + Make sure the reply_to array actually contains addresses.
    + Remove user_settings.sql from the repo and auto create it.
    + Use ->charset instead of passing charset arguments around.
    + Fix Perl::Critic warnings.
    + Output better warnings when unable to convert a string to utf8.
    + Add user_settings.sql to .gitignore.

  * Fix adjust symlink to http-icons.
  * Install default config as example file.
  * Install update_schema script as example file.
  * Install configfiles and sample uWSGI/Apache2 integration files.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Jun 2012 20:11:58 +0200

ciderwebmail (1.04~20120607-1) experimental; urgency=low

  * Initial release.
    Closes: Bug#673342.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 08 Jun 2012 22:28:26 +0200
