=== debian/control ===
Source: ciderwebmail
Section: web
Priority: optional
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.73~),
 perl,
 debhelper,
 dh-buildinfo,
 libparent-perl,
 libmoose-perl,
 libcatalyst-authentication-credential-http-perl,
 libyaml-perl,
 libyaml-libyaml-perl,
 libcatalyst-view-petal-perl,
 libpetal-utils-perl,
 libdatetime-perl,
 libdatetime-format-mail-perl,
 libmime-tools-perl,
 libtry-tiny-perl,
 libemail-simple-perl,
 libemail-sender-perl,
 libemail-valid-perl,
 libemail-address-perl,
 libregexp-common-email-address-perl,
 libregexp-common-perl,
 libtext-iconv-perl,
 libtext-autoformat-perl,
 libio-socket-ssl-perl,
 libclone-perl,
 libhtml-scrubber-perl,
 libhtml-tidy-perl,
 liburi-perl,
 liblocale-maketext-gettext-perl,
 liblist-moreutils-perl,
 libdata-ical-perl,
 libdatetime-format-iso8601-perl,
 libcrypt-util-perl,
 libcrypt-cbc-perl,
 libcrypt-rijndael-perl,
 libcrypt-random-source-perl,
 libmime-base64-urlsafe-perl,
 libfcgi-perl,
 libfcgi-procmanager-perl,
 libmoosex-role-withoverloading-perl (>= 0.09),
 libcatalyst-perl (>= 5.80030),
 libcatalyst-modules-perl (>= 43),
 libparse-recdescent-perl (>= 1.967009),
 libmail-imapclient-perl (>= 3.31),
 libjs-mootools,
 libtest-xpath-perl,
 libdbd-sqlite3-perl,
 libmodule-install-perl
Standards-Version: 3.9.3
Homepage: http://ciderwebmail.org/
Vcs-Git: git://git.debian.org/git/collab-maint/ciderwebmail
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ciderwebmail.git

Package: ciderwebmail
Architecture: all
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${perl:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Description: IMAP webmail service
 CiderWebmail is a modern, user friendly and maintenance free webmail
 application. It's targeted at mailserver administrators who need to
 provide web access for their user's mailboxes and individuals wanting
 to access their mailboxes via an always available web application.
 .
 It currently supports all the basic mail handling features one would
 expect from such an application:
 .
  * Listing your emails with selectable sort order and grouping.
  * Moving emails between folders and deleting using drag & drop.
  * Displaying text and HTML emails even if their code is completely
    broken (which happens quite often in reality)
  * Keyboard bindings for switching through emails, moving, deleting,
    replying and forwarding.
  * Reply to and forward existing emails or write new emails, add
    attachments and have a copy saved in your "Sent" folder.
 .
 As an application written deep in the 21st century, CiderWebmail
 supports only IMAP mail servers.
