## ciderwebmail 1.04

=== debian/changelog ===
ciderwebmail (1.04-1) unstable; urgency=low

  * New upstream release.

  * Fix depend on libdbd-sqlite3-perl.
  * Set default config dir in PSGI file.
  * Pass app arguments in PSGI file.
  * Reorganize configfile to closer match upstream default file.
  * Fix add 'send' section to config file, and recommend MTA.
  * Relax to suggest (not (build-)depend on) libfcgi-perl and
    libfcgi-procmanager-perl: Used only is example script.
  * Relax to recommend (not (build-)depend on) libjs-mootools.
  * Fix Vcs-* URLs to use pkg-perl group (not collab-maint).
  * Suggest dovecot (with virtual imap-server as fallback) and
    imapproxy.
  * Add Dovecot recommendation to long description.
  * Drop patch 1001: Adopted upstream.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 23 Jun 2012 05:02:02 +0200
