=== debian/control ===
--- 
+++ 
@@ -40,21 +40,18 @@
  libcrypt-rijndael-perl,
  libcrypt-random-source-perl,
  libmime-base64-urlsafe-perl,
- libfcgi-perl,
- libfcgi-procmanager-perl,
+ libdbd-sqlite3-perl,
  libmoosex-role-withoverloading-perl (>= 0.09),
  libcatalyst-perl (>= 5.80030),
  libcatalyst-modules-perl (>= 43),
  libparse-recdescent-perl (>= 1.967009),
  libmail-imapclient-perl (>= 3.31),
- libjs-mootools,
  libtest-xpath-perl,
- libdbd-sqlite3-perl,
  libmodule-install-perl
 Standards-Version: 3.9.3
 Homepage: http://ciderwebmail.org/
-Vcs-Git: git://git.debian.org/git/collab-maint/ciderwebmail
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ciderwebmail.git
+Vcs-Git: git://git.debian.org/git/pkg-perl/packages/ciderwebmail
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/ciderwebmail.git
 
 Package: ciderwebmail
 Architecture: all
@@ -83,3 +80,8 @@
  .
  As an application written deep in the 21st century, CiderWebmail
  supports only IMAP mail servers.
+ .
+ It is recommended to use CiderWebmail with the Dovecot IMAP server.
+ CiderWebmail deliberately does little internal caching for security
+ reasons, so if used with an IMAP server less powerfull than Dovecot you
+ may benefit from connecting via imapproxy.
