=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 DEB_UPSTREAM_TARBALL_EXTENSION =
 DEB_UPSTREAM_RECEIVED_EXTENSION = tar.gz
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = 69b9cecb918f5c6326c7b4dc2da74f3b
+DEB_UPSTREAM_TARBALL_MD5 = 86fd4c8601e98e48b9fc48035d01d004
 
 # Needed by upstream build and (always) at runtime
 #  * recent libcatalyst-modules-perl needed for versioned dependency on
@@ -50,25 +50,26 @@
 perl-deps += text-autoformat io-socket-ssl clone html-scrubber html-tidy
 perl-deps += uri locale-maketext-gettext list-moreutils data-ical
 perl-deps += datetime-format-iso8601 crypt-util crypt-cbc crypt-rijndael
-perl-deps += crypt-random-source mime-base64-urlsafe fcgi
-perl-deps += fcgi-procmanager
+perl-deps += crypt-random-source mime-base64-urlsafe dbd-sqlite3
 deps = $(patsubst %,$(comma) lib%-perl,$(perl-deps))
 deps += , libmoosex-role-withoverloading-perl (>= 0.09)
 deps += , libcatalyst-perl (>= 5.80030), libcatalyst-modules-perl (>= 43)
 deps += , libparse-recdescent-perl (>= 1.967009)
 deps += , libmail-imapclient-perl (>= 3.31)
-deps += , libjs-mootools
 CDBS_BUILD_DEPENDS += , $(deps), $(deps-test)
 CDBS_DEPENDS_$(pkg) = $(deps)
 
 # Needed by upstream testsuite (undeclared in Makefile.PL)
-deps-test = libtest-xpath-perl, libdbd-sqlite3-perl
+deps-test = libtest-xpath-perl
 
 # Needed for upstream build
 CDBS_BUILD_DEPENDS += , libmodule-install-perl
 
-# Needed (often) at runtime
+# Needed (often/seldom) at runtime
 CDBS_RECOMMENDS_$(pkg) = http-icons, libjs-mootools
+CDBS_RECOMMENDS_$(pkg) += , default-mta | mail-transport-agent
+CDBS_SUGGESTS_$(pkg) = libfcgi-perl, libfcgi-procmanager-perl
+CDBS_SUGGESTS_$(pkg) += , dovecot | imap-server, imapproxy
 
 # silence graphics files (in addition to defaults)
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(root/static/(images/.*|favicon\.ico)|debian/(changelog|copyright(|_hints|_newhints)))$
@@ -91,7 +92,7 @@
 	mv $(cdbs_curdestdir)usr/bin/* $(cdbs_curdestdir)usr/share/$(pkg)/bin/
 	rm -rf $(cdbs_curdestdir)usr/share/man/man1
 
-# Replace config and spearately shipped parts with symlinks
+# Replace config and separately shipped parts with symlinks
 binary-post-install/$(pkg)::
 	rm -f $(cdbs_curdestdir)usr/share/$(pkg)/root/static/scripts/mootools-core.js
 	ln -sT ../../../../javascript/mootools/mootools-core.min.js $(cdbs_curdestdir)usr/share/$(pkg)/root/static/scripts/mootools-core.js
