=== debian/watch ===
version=3
http://ciderwebmail.org/download/index.html .*/CiderWebmail-([\d].+)\.tar\.gz
