## ciderwebmail 1.05

=== debian/changelog ===
ciderwebmail (1.05-6) unstable; urgency=medium

  [ Axel Beckert ]
  * debian/copyright: Drop CiderWebmail's Request Tracker from
    Upstream-Contact. Seems to no more exist. Thanks DUCK!

  [ Jonas Smedegaard ]
  * Declare compliance with Debian Policy 3.9.8.
  * Use https protocol in Vcs-Git URL.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.
  * Update watch file:
    + Bump file format to version 4.
    + Track only github source, and refine pattern.
    + Mangle download filename.
    + Add usage comment.
  * Include and use local script license-miner (succeeding
    print-metadata.pl).
  * Update package relations:
    + Build-depend on libfont-ttf-perl.
    + Stop build-depend on libipc-system-simple-perl lcdf-typetools.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 09 May 2016 15:21:01 +0200

ciderwebmail (1.05-5) unstable; urgency=medium

  * Team upload.
  * Fix symlink_to_dir call in debian/ciderwebmail.maintscript.
    + Add a trailing slash to the old-target path.
    + Bump prior-version.

    Thanks to Andreas Beckmann for the pointer and patch. (Closes: #774862)

 -- gregor herrmann <gregoa@debian.org>  Wed, 21 Jan 2015 18:19:25 +0100

ciderwebmail (1.05-4) unstable; urgency=medium

  * Team upload.
  * Handle symlink-to-directory transition of
    /usr/share/ciderwebmail/root/static/images/mimeicons.

    Add debian/ciderwebmail.maintscript with the symlink_to_dir instruction,
    and 'Pre-Depends: ${misc:Pre-Depends}' in debian/control{,.in}.

    Thanks to Andreas Beckmann for the bug report. (Closes: #774862)

 -- gregor herrmann <gregoa@debian.org>  Mon, 12 Jan 2015 18:00:22 +0100

ciderwebmail (1.05-3) unstable; urgency=medium

  * Add patch 1002 to fix submit button for sending mail.
    Closes: bug#773207.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 15 Dec 2014 17:10:44 +0100

ciderwebmail (1.05-2) unstable; urgency=medium

  * Add patch 1001 to fix resolve supported languages.
  * Fix strip more upstream install noise.
  * Fix build-depend on libcatalyst-devel-perl (due to upstream release
    done without generating embedded code copies below inc/ as required
    by Catalyst sometimes - e.g. on backports to Wheezy).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Oct 2014 18:49:13 +0200

ciderwebmail (1.05-1) unstable; urgency=low

  [ upstream ]
  * New release.
    + Now works when using Courier IMAP server.
    + Various improvements for the test suite.
    + Remove Mootools, replace with plain JavaScript.
    + HTML5 message submission progress bar.
    + Various html/css/design fixes across all browsers.
    + Basic managesieve support.
    + Improve text/html mail rendering support based on
      HTML::Defang and HTML::Tidy
    + Add support for Content Security Policy when rendering text/html
      parts.
    + New russian, czech and danish translations.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to use cgit web frontend.

  [ Jonas Smedegaard ]
  * Handle new Managesieve support:
    + Recommend libauthen-sasl-perl, for secure Managesieve connections.
    + Add managesieve options to Debian-forked configfile.
    + (Build-)depend on libnet-managesieve-perl.
  * Improve language support:
    + Add patch 1001 with danish localization.
    + Regenerate localized templates during build.
    + Build-depend on gettext.
  * Avoid installing unused locale or var files, or empty /usr/bin dir.
  * Adapt to upstream now using Oxygen icon theme also for mimeicons:
    + Stop recommend http-icons.
    + Drop http-icons paragraphs in copyright file.
    + Update Files paragraph about Oxygen icons in copyright file.
    + Add TODO about use of separately packaged oxygen-icon-theme.
  * Replace mootools-more.js (in addition to mootools-core.js) with
    symlink to separately packaged file.
  * Unfuzz patch 2001.
  * Update package relations (in addition to others above):
    + (Build-)depend on libhtml-defang-perl (not libhtml-scrubber-perl).
    + (Build-)depend on libjson-xs-perl, libtry-tiny-smartcatch-perl,
    + liblog-dispatch-perl, liblog-dispatch-config-perl,
      libcatalyst-plugin-log-dispatch-perl.
    + (Build-) depend on (recent libcatalyst-perl or)
      libcatalyst-plugin-unicode-encoding-perl (not
      libcatalyst-plugin-unicode-perl).
    + Tighten (build-)dependency on libmail-imapclient-perl.
  * Declare compliance with Debian Policy 3.9.6.
  * Add alternative git source URLs.
  * Drop patch 1001, and drop custom cleanup: Danish l10n now upstream.
  * Resolve localizations during build (don't hardcode).
  * Suppress .mo files in copyright check.
  * Extract metadata from images for copyright check (instead of
    skipping them).
    Build-depend on libimage-exiftool-perl, libregexp-assemble-perl,
    libipc-system-simple-perl and lcdf-typetools.
  * Update and simplify generating l10n files.
  * Stop recommend or add symlink for mootools: No longer used.
  * Fix declare $HOME when creating user.
    Thanks to lintian.
  * Drop excess files bogusly handled by upstream install routines.
    Thanks to lintian.
  * Use tagged releases at Github, and stop track checksum of upstream
    tarball.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Oct 2014 02:35:27 +0200

ciderwebmail (1.04-3) unstable; urgency=medium

  * Update copyright info:
    + Fix revert adding short licensing texts: Wrong to silence lintian
      warning by inventing licensing statements!
    + Fix use comment and license pseudo-sections to obey silly
      restrictions of copyright format 1.0.
    + Update alternate sources, and add alternate upstream contact.
    + Fix add License section for LGPL-2.1+.
    + Extend and improve coverage of images.
    + Fix indent a license.

