=== debian/control ===
--- 
+++ 
@@ -3,21 +3,26 @@
 Priority: optional
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: cdbs (>= 0.4.73~),
+Build-Depends: cdbs,
+ devscripts,
  perl,
  debhelper,
  dh-buildinfo,
- libparent-perl,
  libmoose-perl,
  libcatalyst-authentication-credential-http-perl,
+ liblog-dispatch-perl,
+ liblog-dispatch-config-perl,
+ libcatalyst-plugin-log-dispatch-perl,
  libyaml-perl,
  libyaml-libyaml-perl,
+ libjson-xs-perl,
  libcatalyst-view-petal-perl,
  libpetal-utils-perl,
  libdatetime-perl,
  libdatetime-format-mail-perl,
  libmime-tools-perl,
  libtry-tiny-perl,
+ libtry-tiny-smartcatch-perl,
  libemail-simple-perl,
  libemail-sender-perl,
  libemail-valid-perl,
@@ -27,8 +32,8 @@
  libtext-iconv-perl,
  libtext-autoformat-perl,
  libio-socket-ssl-perl,
+ libnet-managesieve-perl,
  libclone-perl,
- libhtml-scrubber-perl,
  libhtml-tidy-perl,
  liburi-perl,
  liblocale-maketext-gettext-perl,
@@ -40,21 +45,37 @@
  libcrypt-rijndael-perl,
  libcrypt-random-source-perl,
  libmime-base64-urlsafe-perl,
- libdbd-sqlite3-perl,
  libmoosex-role-withoverloading-perl (>= 0.09),
  libcatalyst-perl (>= 5.80030),
- libcatalyst-modules-perl (>= 43),
+ libcatalyst-plugin-configloader-perl | libcatalyst-modules-perl (<< 48~),
+ libcatalyst-plugin-static-simple-perl | libcatalyst-modules-perl (<< 48~),
+ libcatalyst-perl (>= 5.90042-2~) | libcatalyst-plugin-unicode-encoding-perl,
+ libcatalyst-plugin-stacktrace-perl | libcatalyst-modules-perl (<< 48~),
+ libcatalyst-plugin-authentication-perl | libcatalyst-modules-perl (<< 48~),
+ libcatalyst-plugin-session-store-fastmmap-perl | libcatalyst-modules-perl (<< 48~),
+ libcatalyst-plugin-session-state-cookie-perl | libcatalyst-modules-perl (<< 48~),
+ libcatalyst-model-dbic-schema-perl (>= 0.41) | libcatalyst-modules-perl (<< 48~),
+ libcatalyst-action-renderview-perl (>= 0.16) | libcatalyst-modules-perl (>= 43~),
+ libcatalyst-action-renderview-perl (>= 0.16) | libcatalyst-modules-perl (<< 48~),
  libparse-recdescent-perl (>= 1.967009),
- libmail-imapclient-perl (>= 3.31),
+ libmail-imapclient-perl (>= 3.35),
+ libhtml-defang-perl (>= 1.04),
+ libdbd-sqlite3-perl,
+ libmodule-install-perl,
+ libcatalyst-devel-perl,
  libtest-xpath-perl,
- libmodule-install-perl
-Standards-Version: 3.9.3
+ libregexp-assemble-perl,
+ libimage-exiftool-perl,
+ libfont-ttf-perl,
+ gettext
+Standards-Version: 3.9.8
 Homepage: http://ciderwebmail.org/
-Vcs-Git: git://git.debian.org/git/pkg-perl/packages/ciderwebmail
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/ciderwebmail.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/ciderwebmail
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/ciderwebmail.git
 
 Package: ciderwebmail
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${cdbs:Depends},
  ${misc:Depends},
  ${perl:Depends}
@@ -83,5 +104,5 @@
  .
  It is recommended to use CiderWebmail with the Dovecot IMAP server.
  CiderWebmail deliberately does little internal caching for security
- reasons, so if used with an IMAP server less powerfull than Dovecot you
+ reasons, so if used with an IMAP server less powerful than Dovecot you
  may benefit from connecting via imapproxy.
