=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%",dversionmangle=s/~(alpha|beta|rc)/-$1/ \
 https://github.com/CiderWebmail/CiderWebmail/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian
