## ciderwebmail 1.05+20150729

=== debian/changelog ===
ciderwebmail (1.05+20150729-3) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/watch: fix syntax error and tarball name regexp.

  [ Jonas Smedegaard ]
  * Update watch file:
    + Fix use project-custom release prefix.
    + Fix use uversiomangle (not dversionmangle) for prerelease suffix.
    + Use substitution strings.
  * Modernize Vcs-* fields:
    + Consistently use git (not cgit) path.
    + Consistently include .git suffix in path.
  * Declare compliance with Debian Policy 4.1.0.
  * Update copyright info:
    + Use https protocol in file format URL.
    + Extend coverage for myself.
  * Drop obsolete lintian override regarding debhelper 9.
  * Tighten lintian overrides regarding License-Reference.
  * Modernize cdbs:
    + Do copyright-check in maintainer script (not during build).
    + Drop get-orig-source target: Use gbp import-orig --uscan.
    + Relax to build-depend unversioned on cdbs.
    + Stop build-depend on licensecheck libregexp-assemble-perl
      libimage-exiftool-perl libfont-ttf-perl.
  * Update package relations: Relax to (build-)depend unversioned on
    libmoosex-role-withoverloading-perl libcatalyst-perl
    libcatalyst-plugin-configloader-perl
    libcatalyst-plugin-static-simple-perl
    libcatalyst-plugin-stacktrace-perl
    libcatalyst-plugin-authentication-perl
    libcatalyst-plugin-session-store-fastmmap-perl
    libcatalyst-plugin-session-state-cookie-perl
    libcatalyst-model-dbic-schema-perl
    libcatalyst-action-renderview-perl
    libcatalyst-action-renderview-perl libparse-recdescent-perl
    libmail-imapclient-perl libhtml-defang-perl: Needed version
    satisfied even in oldstable.
  * Improve Apache config snippet to catch URL without trailing slash
    (unhandled by uWSGI).
    Closes: Bug#798610. Thanks to James Valleroy.
  * Symlink Apache config snippet to /etc/apache2/conf-available.
    Thanks to James Valleroy.
  * Modernize README.Debian slightly.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 21 Sep 2017 10:39:22 +0200

ciderwebmail (1.05+20150729-2) unstable; urgency=medium

  * Mark package as autopkg-testable.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Sep 2016 17:55:57 +0200

ciderwebmail (1.05+20150729-1) unstable; urgency=medium

  [ upstream ]
  * Git snapshot.
    + Check template instead of locale folder for supported languages.
    + Remove more mootoolsisms.
    + Remove mootools form validation.
    + Make sure the sending progress dialog is removed after sending.
    + Remove mootools data validatoin from html template.
    + Replace JSON.decode from mootools with JSON.parse.
    + Add html5 input validation and replace CSS for composer.
    + Fix textarea scrolling in message composing.

  [ Jonas Smedegaard ]
  * Fix avoid license-mine .ico files (unsupported by exiftool - see
    <https://rt.cpan.org/Ticket/Display.html?id=114260>).
  * Modernize git-buildpackage config:
    + Avoid git- prefix.
    + Filter any .gitignore file.
  * Drop patch 1001: Adopted upstream.
  * Unfuzz patch 1002.
  * Update copyright info:
    + Extend coverage of packaging to include recent years.
  * Use recet licensecheck, and license-miner now shipped with CDBS.
    + Stop include license-miner locally (shipped with CDBS now).
    + Tighten to build-depend versioned on cdbs.
    + Build-depend on licensecheck (not devscripts).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Sep 2016 16:48:02 +0200
