=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs,
- devscripts,
  perl,
  debhelper,
  dh-buildinfo,
  libmoose-perl,
- libcatalyst-authentication-credential-http-perl,
  liblog-dispatch-perl,
+ libparse-recdescent-perl,
+ libmail-imapclient-perl,
  liblog-dispatch-config-perl,
  libcatalyst-plugin-log-dispatch-perl,
  libyaml-perl,
@@ -45,33 +45,28 @@
  libcrypt-rijndael-perl,
  libcrypt-random-source-perl,
  libmime-base64-urlsafe-perl,
- libmoosex-role-withoverloading-perl (>= 0.09),
- libcatalyst-perl (>= 5.80030),
- libcatalyst-plugin-configloader-perl | libcatalyst-modules-perl (<< 48~),
- libcatalyst-plugin-static-simple-perl | libcatalyst-modules-perl (<< 48~),
- libcatalyst-perl (>= 5.90042-2~) | libcatalyst-plugin-unicode-encoding-perl,
- libcatalyst-plugin-stacktrace-perl | libcatalyst-modules-perl (<< 48~),
- libcatalyst-plugin-authentication-perl | libcatalyst-modules-perl (<< 48~),
- libcatalyst-plugin-session-store-fastmmap-perl | libcatalyst-modules-perl (<< 48~),
- libcatalyst-plugin-session-state-cookie-perl | libcatalyst-modules-perl (<< 48~),
- libcatalyst-model-dbic-schema-perl (>= 0.41) | libcatalyst-modules-perl (<< 48~),
- libcatalyst-action-renderview-perl (>= 0.16) | libcatalyst-modules-perl (>= 43~),
- libcatalyst-action-renderview-perl (>= 0.16) | libcatalyst-modules-perl (<< 48~),
- libparse-recdescent-perl (>= 1.967009),
- libmail-imapclient-perl (>= 3.35),
- libhtml-defang-perl (>= 1.04),
+ libhtml-defang-perl,
+ libmoosex-role-withoverloading-perl,
+ libcatalyst-perl,
+ libcatalyst-authentication-credential-http-perl,
+ libcatalyst-plugin-configloader-perl,
+ libcatalyst-plugin-static-simple-perl,
+ libcatalyst-plugin-stacktrace-perl,
+ libcatalyst-plugin-authentication-perl,
+ libcatalyst-plugin-session-store-fastmmap-perl,
+ libcatalyst-plugin-session-state-cookie-perl,
+ libcatalyst-model-dbic-schema-perl,
+ libcatalyst-action-renderview-perl,
  libdbd-sqlite3-perl,
  libmodule-install-perl,
  libcatalyst-devel-perl,
  libtest-xpath-perl,
- libregexp-assemble-perl,
- libimage-exiftool-perl,
- libfont-ttf-perl,
  gettext
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: http://ciderwebmail.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/ciderwebmail
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/ciderwebmail.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/ciderwebmail.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-perl/packages/ciderwebmail.git
+Testsuite: autopkgtest-pkg-perl
 
 Package: ciderwebmail
 Architecture: all
