=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
opts="filenamemangle=s%(?:.*?)?release(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%,uversionmangle=s/-(alpha|beta|rc)/~$1/" \
 https://github.com/CiderWebmail/CiderWebmail/tags \
 (?:.*?/)?release@ANY_VERSION@@ARCHIVE_EXT@
